package net.bless.ph;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class Reload implements CommandExecutor {
    PermissionsHealth plugin;
    public Player player;

    public Reload(PermissionsHealth plugin) {
            this.plugin = plugin;
    }

    public boolean onCommand(CommandSender sender, Command cmd,
                    String commandLabel, String[] args) {
            {
                    if ((sender instanceof Player)) {
                            this.player = ((Player) sender);
                    }

                    if (cmd.getName().equalsIgnoreCase("ph")) {
                    if(args.length == 1) {
                    String subCommand = args[0].toLowerCase();
                    if(subCommand.equals("reload")) {
                            this.plugin.reloadConfig();
                            this.player.sendMessage(ChatColor.GOLD
                                            + "PermissionsHealth has been reloaded");
                            return true;
                    } else if(subCommand.equals("help")) {
                    	this.player.sendMessage(ChatColor.YELLOW + "---------" + ChatColor.WHITE + "Help: PermissionsHealth" + ChatColor.YELLOW + "---------------");
                            this.player.sendMessage(ChatColor.GRAY + "Below is a list of all PermissionsHealth commands:");
                            this.player.sendMessage(ChatColor.GOLD + "/hp" + ChatColor.WHITE + " : used to view your current health.");
                            this.player.sendMessage(ChatColor.GOLD + "/phc" + ChatColor.WHITE + " : used to view your current health.");
                            this.player.sendMessage(ChatColor.GOLD + "/ph reload" + ChatColor.WHITE + " : Reloads Config.");
                            this.player.sendMessage(ChatColor.GOLD + "/pheal" + ChatColor.WHITE + " : used to to fully heal you.");
                            this.player.sendMessage(ChatColor.GOLD + "/pheal <player>" + ChatColor.WHITE + " : used to to fully heal a player.");
                            this.player.sendMessage(ChatColor.GOLD + "/pho" + ChatColor.WHITE + " : used to view target's current health.");
                            return true;
                    }
                    return false;
            }
    }
            }
            return false;
    }
}